
#include <absacc.h>
#include "reg552.h"
#include "MSS552.h"

unsigned char TxData, RxData, AD;

void main(void)
{
	//Inicializacia
	Disp_Init();
	Timer0_Init();
	USART_Init();
	
	//globalne povolenie prerusenia
	EA = 1; 
	
	//Hlavny program
	while(1)
	{
		//nacitanie hodnoty z potenciometra
		AD = AD_Read(0) >> 2;
		TxData = AD;
		
		//vysielanie dat
		if(USART_ByteSent())
		{
			USART_SentByte(TxData);
		}
		
		//prijimanie dat
		if(USART_ByteRecived())
		{
			RxData=USART_ReadByte();
		}

		//zobrazovanie vysledku
		if(TL1) Disp_Int(AD);
		else Disp_Int(RxData);
		
		DelayMs(50);
	}
}

/****** Obsluzny program prerusenia TIM0 ******/
void TIM0_Interrupt(void) interrupt 1
{
	TL0 = 0x00;
	TH0 = 0xFE;
	
	Disp_Handle();		//obnova displeja
}
